Semaphor

Revoke visual shares

Removes access to a visual for one or more recipients.

DELETE
/api/management/v1/visuals/{visualId}/share

Authorization

BearerAuth
AuthorizationBearer <token>

A project-scoped or dashboard-scoped access token. Generate one via the Token API using your project ID and project secret.

In: header

Path Parameters

visualId*string

Visual identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X delete "https://semaphor.cloud/api/management/v1/visuals/string/share" \  -H "Content-Type: application/json" \  -d '{    "shares": [      {        "scope": "specific_tenant_user",        "role": "VIEWER"      }    ]  }'
{
  "message": "string",
  "removed": [
    {}
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}
{
  "error": "string",
  "code": "string",
  "details": {},
  "success": true
}